using FastEndpoints;
using FluentValidation;
using Knots.DTO.Group;

namespace Knots.Validators.Group;

public class UpdateGroupNameDtoValidator : Validator<UpdateGroupNameDto>
{
    public  UpdateGroupNameDtoValidator()
    {
        RuleFor(x => x.Id)
            .NotNull()
            .WithMessage("L'id doit être renseigné");
        
        
        RuleFor(x => x.Name)
            .NotEmpty()
            .WithMessage("Le nom de groupe est requis");
    }
}